/stocks/materials/{materialId}/registry
This endpoint allows you to get the Material Registry.
getStockMaterialRegistry
| Name | Type | Description |
|---|---|---|
materialId
required
|
string |
The Material ID |
| Name | Type | Description |
|---|---|---|
expanded
|
string |
Comma-separated list of relations to include in the response operator
|
data
object
Material Registry model structure details
id
string
read-only
ID of the material registry
Example: 1
type
string
read-only
Model type
stock-material-registry
Example: stock-material-registry
attributes
object
material_registry_id
integer
read-only
ID of the material registry
Example: 1
material_id
integer
read-only
ID of the material
Example: 1
operator_id
integer
ID of the operator
Example: 1
action
string
Action of the operation
CREATED
UPDATED
DELETED
Example: CREATED
field
string
The field we changed the value
CODE
NAME
OBSERVATIONS
DESCRIPTION
SKU
EAN_UPC
UNITS
SALE_PRICE
SALE_VAT
MATERIAL_TYPE
PURCHASE_CONSUMPTION_TYPE
Example: CODE
from
string
The warehouse id material was transfered from
Example: 1
to
string
The warehouse id material was transfered to
Example: 2
aux_id
string
Field auxiliary ID, for example, the associated material type id
Example: 12
created_at
string (date-time)
Date of creation
Example: 2021-01-01 00:00:00
status
string
error
error
object
properties
object
Only present when related to property validation error
dev_message
string
Example: Property validation error. Check the "properties" section in the response.
http_code
integer
400
message
string
Example: Property validation error.
more_info
string
status
string
error
error
object
http_code
integer
401
message
string
Example: Authentication token invalid.
more_info
string
status
string
error
error
object
http_code
integer
404
message
string
Example: Resource not found
more_info
string | null
status
string
error
error
object
http_code
integer
429
message
string
Example: Too Many Requests.
more_info
string
status
string
error
error
object
http_code
integer
500
message
string
Example: An error has occurred during the request.
more_info
string
curl -X GET \
'https://api.sandbox.infraspeak.com/v3/stocks/materials/{materialId}/registry' \
-H 'Accept: application/json' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('https://api.sandbox.infraspeak.com/v3/stocks/materials/{materialId}/registry', {
method: 'GET',
headers: {
'Accept': 'application/json',
'Content-Type': 'application/json',
'Authorization': 'Bearer YOUR_API_TOKEN',
},
});
const data = await response.json();
$response = Http::withHeaders([
'Accept' => 'application/json',
'Content-Type' => 'application/json',
])->withToken('YOUR_API_TOKEN')
->get('https://api.sandbox.infraspeak.com/v3/stocks/materials/{materialId}/registry');
import requests
response = requests.get(
'https://api.sandbox.infraspeak.com/v3/stocks/materials/{materialId}/registry',
headers={
'Accept': 'application/json',
'Content-Type': 'application/json',
'Authorization': 'Bearer YOUR_API_TOKEN',
},
)
data = response.json()